Package: org.gradle.platform.base

## [Java] Interface ComponentTypeBuilder<C>

- org.gradle.platform.base.TypeBuilder

- All Superinterfaces:
    TypeBuilder

  Allows a plugin to register a custom component type.

  Parameters:
    `` - The component type.

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface TypeBuilder` | `defaultImplementation, internalView`